Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class NTSid

    java.lang.Object
      com.ibm.security.auth.NTSid

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

Direct Known Subclasses:
  NTSidDomainPrincipal, NTSidGroupPrincipal, NTSidPrimaryGroupPrincipal, NTSidUserPrincipal

    public class NTSid

extends java.lang.Object
implements java.security.Principal, java.io.Serializable

This class implements the `Principal` interface and represents information about a Windows NT user, group or realm.

Windows NT chooses to represent users, groups and realms (or domains) with not only common names, but also relatively unique numbers. These numbers are called Security IDentifiers, or SIDs. Windows NT also provides services that render these SIDs into string forms. This class represents these string forms.

Principals such as this `NTSid` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

This class will be replaced by `JAASPrincipal` in future releases of JAAS.

Author:
  D. Kent Soper
See Also:
  `Principal`, `Subject`, `JAASPrincipal`, Serialized Form

Constructor Summary
`NTSid(java.lang.String stringSid)` Create an `NTSid` with a Windows NT SID.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `NTSid` for equality.
`java.lang.String` | `getName()` Return a string version of this `NTSid`.
`int` | `hashCode()` Return a hash code for this `NTSid`.
`java.lang.String` | `toString()` Return a string representation of this `NTSid`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NTSid

    public NTSid(java.lang.String stringSid)

  Create an `NTSid` with a Windows NT SID.

  Parameters:
    `stringSid` - the Windows NT SID.

  Throws:
    `java.lang.NullPointerException` - if the `String` is `null`.
    `java.lang.IllegalArgumentException` - if the `String` has zero length.

Method Detail

### getName

    public java.lang.String getName()

  Return a string version of this `NTSid`.

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    a string version of this `NTSid`

### toString

    public java.lang.String toString()

  Return a string representation of this `NTSid`.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `NTSid`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `NTSid` for equality. Returns true if the given object is also a `NTSid` and the two NTSids have the same String representation.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object to be compared for equality with this `NTSid`.
  Returns:
    true if the specified Object is equal to this `NTSid`.

### hashCode

    public int hashCode()

  Return a hash code for this `NTSid`.

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code for this `NTSid`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD